Bug 443347 (TB368e1d58) - TB368e1d58 ConfPAP.py:105:getfields:BadFile: Error occured while parsing //etc/ppp/pap-secrets
Summary: TB368e1d58 ConfPAP.py:105:getfields:BadFile: Error occured while parsing //et...
Keywords:
Status: CLOSED WONTFIX
Alias: TB368e1d58
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 445627 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-20 22:46 UTC by Roman Ovseitsev
Modified: 2009-07-14 15:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:22:48 UTC


Attachments (Terms of Use)
pap-secrets and error log (853 bytes, application/x-gzip)
2008-04-20 22:46 UTC, Roman Ovseitsev
no flags Details

Description Roman Ovseitsev 2008-04-20 22:46:51 UTC
Description of problem:
Unable to change hostname. system-config-network fails during the parsing of
what seems to be a valid pap/chap-secrets files.
Example pap-secrets and error log are attached below.

Version-Release number of selected component (if applicable):
1.5.6

Steps to Reproduce:
1. copy attached pap-secrets to /etc/ppp
2. run system-config-network
3. select DNS tab, type in some new hostname, click on File->Save.

Comment 1 Roman Ovseitsev 2008-04-20 22:46:51 UTC
Created attachment 303078 [details]
pap-secrets and error log

Comment 2 Harald Hoyer 2008-04-21 07:12:31 UTC
seems like you have gziped the attachment twice :-/

Component: system-config-network
Version: 1.5.6
Summary: TB368e1d58 ConfPAP.py:105:getfields:BadFile: Error occured while
parsing //etc/ppp/pap-secrets

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
831, in on_applyButton_clicked
    self.save()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
393, in save
    self.saveDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
413, in saveDevices
    devicelist.save()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 209,
in save
    papconf = getPAPConf()
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 300,
in getPAPConf
    DVpapconf = ConfPAP.ConfPAP(getRoot() + PAPFILE)
  File "/usr/share/system-config-network/netconfpkg/conf/ConfPAP.py", line 35,
in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/share/system-config-network/netconfpkg/conf/Conf.py", line 205, in
__init__
    self.read()
  File "/usr/share/system-config-network/netconfpkg/conf/ConfPAP.py", line 40,
in read
    self.initvars()
  File "/usr/share/system-config-network/netconfpkg/conf/ConfPAP.py", line 86,
in initvars
    var = self.getfields()
  File "/usr/share/system-config-network/netconfpkg/conf/ConfPAP.py", line 105,
in getfields
    raise Conf.BadFile, "Error occured while parsing %s" % self.filename
BadFile: Error occured while parsing //etc/ppp/pap-secrets

Local variables in innermost frame:
var: []
regexp: <_sre.SRE_Pattern object at 0x8d72518>
self: <netconfpkg.conf.ConfPAP.ConfPAP instance at 0x8ca7d8c>
m: None



Comment 3 Jiri Moskovcak 2008-04-21 09:42:00 UTC
Fixed in git repo. Should be in next update.

Jirka

Comment 4 Harald Hoyer 2008-05-08 09:00:50 UTC
*** Bug 445627 has been marked as a duplicate of this bug. ***

Comment 5 Bug Zapper 2008-05-14 09:49:06 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-06-10 00:19:03 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 15:22:48 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.